| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class ClassBody

    java.lang.Object
      |
      +--ClassBody

public class ClassBody
extends java.lang.Object

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` | `fielddecl`
`private java.util.Hashtable` | `hash`
`java.util.Hashtable` | `kill`
`private java.util.Hashtable` | `paraclasshash`

Constructor Summary
`ClassBody()`

Method Summary
`void` | `codegen(ClassFile classfile, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.util.Hashtable` | `complete_parahashtable(de.dhbwstuttgart.typeinference.Menge classlist, UsedId superclassid, java.util.Hashtable childhash, boolean ext)`
`de.dhbwstuttgart.typeinference.Menge` | `get_FieldDeclMenge()`
`java.util.Hashtable` | `get_hash()`
`java.util.Hashtable` | `init_parahashtable(de.dhbwstuttgart.typeinference.Menge paralist, boolean ext)`
`boolean` | `is_declared(Type t, de.dhbwstuttgart.typeinference.Menge classlist)`
`void` | `istParameterOK(de.dhbwstuttgart.typeinference.Menge Parameter, de.dhbwstuttgart.typeinference.Menge KlassenVektor)`
`(package private) static void` | `print_rec(java.util.Hashtable ht)`
`(package private) static void` | `print_rec(java.lang.String st, java.util.Hashtable ht)`
`(package private) static void` | `print_rec(java.lang.String st, de.dhbwstuttgart.typeinference.Menge v)`
`(package private) static void` | `print_rec(de.dhbwstuttgart.typeinference.Menge v)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classlist, boolean ext)`
`void` | `sc_init_hashtable_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist, java.lang.String strSuperKlassenName, java.util.Hashtable childhash, de.dhbwstuttgart.typeinference.Menge paralist, java.util.Hashtable parahash, java.util.Hashtable kill, boolean ext)`
`void` | `sc_init_hashtable(de.dhbwstuttgart.typeinference.Menge KlassenVektor, java.lang.String strSuperKlassenName, java.lang.String classname, boolean ext)`
`void` | `set_FieldDecl(FieldDecl i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fielddecl

    private de.dhbwstuttgart.typeinference.Menge fielddecl

### hash

    private java.util.Hashtable hash

### paraclasshash

    private java.util.Hashtable paraclasshash

### kill

    public java.util.Hashtable kill

Constructor Detail

### ClassBody

    public ClassBody()

Method Detail

### sc_init_hashtable

    public void sc_init_hashtable(de.dhbwstuttgart.typeinference.Menge KlassenVektor,
                                  java.lang.String strSuperKlassenName,
                                  java.lang.String classname,
                                  boolean ext)
                           throws SCClassBodyException

    `SCClassBodyException`

### sc_init_hashtable_for_extended_classes

    public void sc_init_hashtable_for_extended_classes(de.dhbwstuttgart.typeinference.Menge classlist,
                                                       java.lang.String strSuperKlassenName,
                                                       java.util.Hashtable childhash,
                                                       de.dhbwstuttgart.typeinference.Menge paralist,
                                                       java.util.Hashtable parahash,
                                                       java.util.Hashtable kill,
                                                       boolean ext)

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classlist,
                         boolean ext)
                  throws SCClassBodyException

    `SCClassBodyException`

### init_parahashtable

    public java.util.Hashtable init_parahashtable(de.dhbwstuttgart.typeinference.Menge paralist,
                                                  boolean ext)

### complete_parahashtable

    public java.util.Hashtable complete_parahashtable(de.dhbwstuttgart.typeinference.Menge classlist,
                                                      UsedId superclassid,
                                                      java.util.Hashtable childhash,
                                                      boolean ext)
                                               throws SCClassBodyException

    `SCClassBodyException`

### codegen

    public void codegen(ClassFile classfile,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

    `JVMCodeException`

### get_hash

    public java.util.Hashtable get_hash()

### get_FieldDeclMenge

    public de.dhbwstuttgart.typeinference.Menge get_FieldDeclMenge()

### set_FieldDecl

    public void set_FieldDecl(FieldDecl i)

### is_declared

    public boolean is_declared(Type t,
                               de.dhbwstuttgart.typeinference.Menge classlist)
                        throws SCClassBodyException

    `SCClassBodyException`

### print_rec

    static void print_rec(java.util.Hashtable ht)

### print_rec

    static void print_rec(de.dhbwstuttgart.typeinference.Menge v)

### print_rec

    static void print_rec(java.lang.String st,
                          java.util.Hashtable ht)

### print_rec

    static void print_rec(java.lang.String st,
                          de.dhbwstuttgart.typeinference.Menge v)

### istParameterOK

    public void istParameterOK(de.dhbwstuttgart.typeinference.Menge Parameter,
                               de.dhbwstuttgart.typeinference.Menge KlassenVektor)

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD